# Platform URL-s

On the Platform, URLs contain key details such as workspace IDs, target IDs, or probe IDs, which can be extremely useful for creating new API requests or verifying data. Below is a cheatsheet explaining how to extract these details from the UI, making it easier to leverage the application for API-related tasks.

* **Overview page**\
  `/w/27/target/14` \
  `/w/{workspaceId}/target/{targetId}`
* **Test Run View page**\
  `/w/27/target/17/test-runs/2832`\
  `/w/{workspaceId}/target/{targetId}/test-runs/{testRunId}`
* **Probe Run View page**\
  `/w/27/target/17/test-runs/2832/probe/8308?tab=results`\
  `/w/{workspaceId}/target/{targetId}/test-runs/{testRunId}/probe/{probeRunId}?tab=results`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.probe.splx.ai/platform-api/platform-url-s.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
